LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XView Interface Referencepublished

makes it possible to attach an output device to the object. More...

`import"XView.idl";`

Inheritance diagram for XView:

## Public Member Functions
boolean | setGraphics ([in] com::sun::star::awt::XGraphics aDevice)
| sets the output device. More...
com::sun::star::awt::XGraphics | getGraphics ()
| returns the output device which was set using the method XView::setGraphics(). More...
com::sun::star::awt::Size | getSize ()
| returns the size of the object in device units. More...
void | draw ([in] long nX, [in] long nY)
| draws the object at the specified position. More...
void | setZoom ([in] float fZoomX, [in] float fZoomY)
| sets the zoom factor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to attach an output device to the object.

This kind of object is called view-object.

## Member Function Documentation

## ◆ draw()

void draw | ( | [in] long | nX,
|  | [in] long | nY
| ) |  |

draws the object at the specified position.

If the output should be clipped, the caller has to set the clipping region.

## ◆ getGraphics()

com::sun::star::awt::XGraphics getGraphics | ( |  | ) |

returns the output device which was set using the method XView::setGraphics().

## ◆ getSize()

com::sun::star::awt::Size getSize | ( |  | ) |

returns the size of the object in device units.

A device must be set before.

## ◆ setGraphics()

boolean setGraphics | ( | [in] com::sun::star::awt::XGraphics | aDevice | ) |

sets the output device.

## ◆ setZoom()

void setZoom | ( | [in] float | fZoomX,
|  | [in] float | fZoomY
| ) |  |

sets the zoom factor.

The zoom factor only affects the content of the view, not the size.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XView.idl